%def_without menu

Name: vkeybd
Version: 0.1.11
Release: alt1
Serial: 1

Summary: Virtual keyboard for AWE, MIDI and ALSA drivers
Group: Sound
License: GPL
Url: http://www.alsa-project.org/~iwai/alsa.html
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://www.alsa-project.org/~iwai/%name-%version.tar.bz2

%if_with menu
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm
%endif

%define tcl_ver 8.4.0-alt1
%define tk_ver 8.4.0-alt1

Requires: tcl >= %tcl_ver, tk >= %tk_ver
BuildPreReq: tcl-devel >= %tcl_ver, tk-devel >= %tk_ver

# Automatically added by buildreq on Wed Dec 04 2002
BuildRequires: XFree86-devel libalsa2-devel tcl-devel tk-devel

%description
This is a virtual keyboard for AWE, MIDI and ALSA drivers.
It's a simple fake of a MIDI keyboard on X-windows system.
Enjoy a music with your mouse and "computer" keyboard :-)

This program supports:
  - ALSA sequencer
  - AWE driver on OSS  (ver.0.4.3)
  - MIDI device on OSS and ALSA

%prep
%setup -q -n %name
%__subst 's@CFLAGS = -Wall@CFLAGS = \$(RPM_OPT_FLAGS)@' Makefile

%build
%add_optflags -DUSE_NON_CONST
%make PREFIX=%prefix TCLLIB=-ltcl TKLIB=-ltk

%install
%make_install PREFIX=%buildroot%prefix \
	      MAN_DIR=%buildroot%_man1dir \
	      install-all

%if_with menu
# Menu
%__cat <<__MENU__ > %name.menu
?package(%name): command="%_bindir/%name" needs="X11" section="Multimedia/%group" \
title="Virtual keyboard" longtitle="Virtual keyboard for AWE, MIDI and ALSA drivers" \
icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

# Install icons
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus
%endif

%files
%_bindir/*
%_man1dir/*
%_datadir/%name

%if_with menu
%_menudir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%endif

%doc README

%changelog
* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 1:0.1.11-alt1
- new version.

* Mon Oct  7 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.1.11a-alt3
- rebuilt with tcl 8.4

* Mon Jun 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.11a-alt2
- rebuilt with new tcl/tk environment.

* Fri May 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.11a-alt1
- First build for Sisyphus.
